NX Open C++ Reference Guide
List of all members
NXOpen::Features::SheetMetal::AeroFlatPatternBuilder Class Reference

Represents a Flat Pattern feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::AeroFlatPatternBuilder:
NXOpen::Features::SheetMetal::FlatPatternBuilder NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Additional Inherited Members

- Public Member Functions inherited from NXOpen::Features::SheetMetal::FlatPatternBuilder
NXOpen::SectionAddedGeometry ()
 Returns the added geometry selection
Created in NX6.0.0. More...
 
NXString FlatPatternViewName ()
 Returns the flat pattern view name string
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::CornerTreatmentBuilderInnerCornerTreatment ()
 Returns the inner corner treatment corner object
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::CornerTreatmentBuilderOuterCornerTreatment ()
 Returns the outer corner treatment corner object
Created in NX6.0.0. More...
 
NXOpen::Point3d ReferenceVertex ()
 Returns the end of the edge where the tangent will define the x axis for flat as solid. More...
 
void SetReferenceVertex (const NXOpen::Point3d &vertex)
 Sets the end of the edge where the tangent will define the x axis for flat as solid. More...
 
void SetShowInteriorFeatureCurves (bool showInteriorFeatureCurves)
 Sets the show interior feature curves toggle value
Created in NX6.0.0. More...
 
void SetTransformToAbsoluteCsys (bool transformFlag)
 Sets the flag which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
bool ShowInteriorFeatureCurves ()
 Returns the show interior feature curves toggle value
Created in NX6.0.0. More...
 
bool TransformToAbsoluteCsys ()
 Returns the flag which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
NXOpen::SelectFaceUpwardFace ()
 Returns the upward face selection
Created in NX6.0.0. More...
 
NXOpen::SelectEdgeXAxisEdge ()
 Returns the x axis edge selection. More...
 

Detailed Description

Represents a Flat Pattern feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::AeroSheetmetalManager::CreateFlatPatternBuilder

Created in NX6.0.0.


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.